Support Questions
Find answers, ask questions, and share your expertise

Hiveserver2 failing with /tmp/tmp23xNhA 2>/tmp/tmpyf2fO3' returned 2. curl: option --negotiate: the installed libcurl version doesn't support this curl: try 'curl --help' or 'curl --manual' for more information>

Solved Go to solution

Hiveserver2 failing with /tmp/tmp23xNhA 2>/tmp/tmpyf2fO3' returned 2. curl: option --negotiate: the installed libcurl version doesn't support this curl: try 'curl --help' or 'curl --manual' for more information>

Hi Folks ,

Please help in resolving the error . I am getting the below error when hiveserver2 restarted .

In My HWX cluster I have Hive metastore in Control node and 4 hiveserver2 running on 4 edge nodes . All the hiveservers are running good except on one edge node failing with below error .

resource_management.core.exceptions.Fail: Execution of 'curl -sS -L -w '%{http_code}' -X GET --negotiate -u : 'http://hdp-iaas-dev29-control1.dev.na1.phsdp.com:50070/webhdfs/v1/user/hcat?op=GETFILESTATUS&user.name=hdfs' 1>/tmp/tmp23xNhA 2>/tmp/tmpyf2fO3' returned 2. curl: option --negotiate: the installed libcurl version doesn't support this
curl: try 'curl --help' or 'curl --manual' for more information

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Hiveserver2 failing with /tmp/tmp23xNhA 2>/tmp/tmpyf2fO3' returned 2. curl: option --negotiate: the installed libcurl version doesn't support this curl: try 'curl --help' or 'curl --manual' for more information>

Super Guru

Update your libcurl and curl on those machines.

View solution in original post

1 REPLY 1

Re: Hiveserver2 failing with /tmp/tmp23xNhA 2>/tmp/tmpyf2fO3' returned 2. curl: option --negotiate: the installed libcurl version doesn't support this curl: try 'curl --help' or 'curl --manual' for more information>

Super Guru

Update your libcurl and curl on those machines.

View solution in original post